Name:           gl-117
Version:        1.3.2
Release:        1%{?dist}

Summary:        Action flight simulator

Group:          Amusements/Games
License:        GPL
URL:            http://www.heptargon.de/gl-117/gl-117.htm
Source0:        http://dl.sf.net/sourceforge/gl-117/gl-117-%{version}-src.tar.bz2
Source1:        gl-117.desktop
Source2:        gl-117.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, SDL_mixer-devel
BuildRequires:  xorg-x11-devel, freeglut-devel
BuildRequires:  desktop-file-utils

%description
GL-117 is an action flight simulator for Linux/Unix and MSWindows. Enter the
Eagle Squadron and succeed in several challanging missions leading though
different landscapes. Five predefined levels of video quality and an amount of
viewing ranges let you perfectly adjust the game to the performance of your
system. Joystick, mouse, sound effects, music...

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure LDFLAGS="-L/usr/X11R6/%{_lib} -lX11 -lXi -lXmu"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6
install -m 644 doc/%{name}.6 $RPM_BUILD_ROOT/%{_mandir}/man6/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
    --add-category X-Fedora \
    --vendor fedora %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ doc/%{name}.pdf
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man6/*

%changelog
* Mon Sep 26 2005 Steven Pritchard <steve@kspei.com> 1.3.2-1
- Update to 1.3.2 (#169275)
- BR xorg-x11-devel instead of XFree86-devel
- Change URL to the gl-117 home page

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1.3.1-2
- rebuilt

* Tue Dec 21 2004 Panu Matilainen <pmatilai@welho.com> 0:1.3.1-1
- update to 1.3.1

* Sat Jun 19 2004 Panu Matilainen <pmatilai@welho.com> 0:1.3-0.lvn.1
- update to 1.3

* Fri May 21 2004 Panu Matilainen <pmatilai@welho.com> 0:1.2-0.lvn.1
- update to 1.2
- dont include document sources
- put manpage where it belongs

* Thu Nov 27 2003 Panu Matilainen <pmatilai@welho.com> 0:1.0.1-0.lvn.2.2
- remove ldflags patch (it would've required autoconf), pass LDFLAGS on
  configure line instead

* Thu Nov 27 2003 Panu Matilainen <pmatilai@welho.com> 0:1.0.1-0.lvn.1.2
- Initial packaging.
